Dirac Video Codec

# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::QuantiserLists Class Reference

Class for encapsulating quantiser data.

`#include <common.h>`

Collaboration diagram for dirac::QuantiserLists:
[legend]

List of all members.

## Public Member Functions

- QuantiserLists ()
    Default constructor.
- int QuantFactor4 (const int index) const
    Returns 4 times the quantisation factor.
- int IntraQuantOffset4 (const int index) const
    Returns the intra Picture quantisation offset for non-zero values.
- int InterQuantOffset4 (const int index) const
    Returns the inter Picture quantisation offset for non-zero values.
- int MaxQuantIndex () const
    Returns the maximum quantiser index supported.

## Private Attributes

- unsigned int m_max_qindex
- OneDArray< int > m_qflist4
- OneDArray< int > m_intra_offset4
- OneDArray< int > m_inter_offset4

## Constructor & Destructor Documentation

dirac::QuantiserLists::QuantiserLists | ( |  | ) |

## Member Function Documentation

int dirac::QuantiserLists::QuantFactor4 | ( | const int | index | ) | const`[inline]`

References m_qflist4.

int dirac::QuantiserLists::IntraQuantOffset4 | ( | const int | index | ) | const`[inline]`

References m_intra_offset4.

int dirac::QuantiserLists::InterQuantOffset4 | ( | const int | index | ) | const`[inline]`

References m_inter_offset4.

int dirac::QuantiserLists::MaxQuantIndex | ( |  | ) | const`[inline]`

References m_max_qindex.

## Member Data Documentation

unsigned int dirac::QuantiserLists::m_max_qindex`[private]`

Referenced by MaxQuantIndex().

OneDArray<int> dirac::QuantiserLists::m_qflist4`[private]`

Referenced by QuantFactor4().

OneDArray<int> dirac::QuantiserLists::m_intra_offset4`[private]`

Referenced by IntraQuantOffset4().

OneDArray<int> dirac::QuantiserLists::m_inter_offset4`[private]`

Referenced by InterQuantOffset4().

The documentation for this class was generated from the following file:

- common.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.